#include <16F887.h>

/*
#FUSES NOWDT                 	//No Watch Dog Timer
#FUSES INTRC_IO              	//Internal RC Osc, no CLKOUT
#FUSES NOPUT                 	//No Power Up Timer
#FUSES MCLR                  	//Master Clear pin enabled
#FUSES NOPROTECT             	//Code not protected from reading
#FUSES NOCPD                 	//No EE protection
#FUSES NOBROWNOUT              	//Reset when brownout detected
#FUSES IESO                  	//Internal External Switch Over mode enabled
#FUSES FCMEN                 	//Fail-safe clock monitor enabled
#FUSES LVP                   	//Low Voltage Programming on B3(PIC16) or B5(PIC18)
#FUSES NODEBUG               	//No Debug mode for ICD
*/
#FUSES NOWDT,PUT,NOPROTECT,NOCPD,NOBROWNOUT,NOLVP,NOFCMEN,NOIESO,MCLR,INTRC_IO
#use delay(clock=4000000)

#include "lcd.c"

void forword_dir(void)
	{
	lcd_send_byte(0, 0x18);
	}

void backword_dir(void)
	{
	lcd_send_byte(0, 0x1E);
	}

void main() 
	{
	int a,i;
	setup_oscillator(OSC_4MHZ);
	SETUP_ADC(ADC_OFF);
	setup_adc_ports( NO_ANALOGS );
	PORT_b_PULLUPS(1);
	
	lcd_init(); //lcd initialize
	lcd_putc("\f"); //lcd clear


	lcd_putc("http://shibuvarkala.blogspot.com");	// lcd memory can hold up to 40 characters 
	//lcd_putc(0xBE, 0x70, 0xB8, 0xB3, 0x65, 0xBF);	// lcd memory can hold up to 40 characters 
	for(;;)
		{
		for(i = 0;i<33;++i)
			{
			backword_dir();
			delay_ms(50); // scroll delay
			}
		for(i = 0;i<33;++i)
			{
			forword_dir();
			delay_ms(50);
			}
		}
	}

